## org.eclipse.wst.wsdl
Interface BindingInput

All Superinterfaces:
  javax.wsdl.BindingInput, ExtensibleElement, java.io.Serializable, WSDLElement

    public interface BindingInput

extends ExtensibleElement, javax.wsdl.BindingInput

A representation of the model object 'Binding Input'.

Since:
  1.0 This class represents a WSDL input element within a operation within a binding. An input element within an operation within a binding specifies binding information for the input of the operation.

  The following features are supported:

  - `Name`
  - `EInput`
See Also:
  `WSDLPackage.getBindingInput()`

Method Summary
`Input` `getEInput()` Returns the value of the 'EInput' reference
`javax.wsdl.Input` `getInput()` This method is same as getEInput() and compatible with the JWSDL API.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setEInput(Input value)` Sets the value of the '`EInput`' reference
`void` `setInput(javax.wsdl.Input input)` This method is same as setEInput(Input) and compatible with the JWSDL API.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.BindingInput
`addExtensibilityElement, getDocumentationElement, getExtensibilityElements, setDocumentationElement`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.BindingInput`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getBindingInput_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.BindingInput`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEInput

    Input getEInput()

  Returns the value of the 'EInput' reference.

  If the meaning of the 'EInput' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EInput' reference.
  See Also:
    `setEInput(Input)`, `WSDLPackage.getBindingInput_EInput()`

### setEInput

    void setEInput(Input value)

  Sets the value of the '`EInput`' reference.

  Parameters:
    `value` - the new value of the 'EInput' reference.
  See Also:
    `getEInput()`

### getInput

    javax.wsdl.Input getInput()

  This method is same as getEInput() and compatible with the JWSDL API.

  Returns:
    the value of the 'EInput' reference.
  See Also:
    `getEInput()`

### setInput

    void setInput(javax.wsdl.Input input)

  This method is same as setEInput(Input) and compatible with the JWSDL API.

  Parameters:
    `input` - the new value of the 'EInput' reference.
  See Also:
    `setEInput(Input)`